> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enfuce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get invoice for given invoice id

> This operation will respond with an invoice given invoice id



## OpenAPI

````yaml invoice get /v1/{id}
openapi: 3.0.3
info:
  description: Endpoint for doing doing operations on a invoice
  version: '1'
  title: Invoice API
  contact:
    name: Enfuce Financial Services
    url: https://enfuce.com
    email: info@enfuce.com
  x-logo:
    url: https://developer.enfuce.com/images/enfuce.svg
    altText: Enfuce logo
servers:
  - url: >-
      https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/invoice
  - url: https://integration-api-cat2.live.ext.prod.cia.enfuce.com/invoice
    description: Live environment
security: []
tags:
  - name: Get invoice information
    description: <p>Endpoints for fetching invoice information</p>
  - name: Update an invoice
    description: >-
      <p>Endpoints for updating invoice information</p><hr><p>As for now only
      the dunning properties and invoice due date can be updated. Please not
      that in order to update dunning properties - dunning should be enabled for
      the institution</p>
paths:
  /v1/{id}:
    get:
      tags:
        - Get invoice information
      summary: Get invoice for given invoice id
      description: This operation will respond with an invoice given invoice id
      operationId: getInvoiceUsingGET
      parameters:
        - name: auditUser
          in: query
          description: The audit user to log the request
          required: true
          schema:
            type: string
        - name: id
          in: path
          description: Invoice id for given invoice
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful lookup of invoice for given invoice id
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/invoiceResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
        '404':
          description: Invoice does not exist
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
      deprecated: false
components:
  schemas:
    invoiceResponse:
      type: object
      properties:
        currency:
          $ref: '#/components/schemas/currency'
        amount:
          $ref: '#/components/schemas/amount'
        createdDate:
          $ref: '#/components/schemas/createdDate'
        dueDate:
          $ref: '#/components/schemas/dueDate'
        id:
          $ref: '#/components/schemas/id'
        paidAmount:
          $ref: '#/components/schemas/paidAmount'
        paymentReference:
          $ref: '#/components/schemas/paymentReference'
        period:
          $ref: '#/components/schemas/datePeriod'
        status:
          $ref: '#/components/schemas/status'
        dunning:
          $ref: '#/components/schemas/dunning'
        invoiceNumber:
          $ref: '#/components/schemas/invoiceNumber'
        accountId:
          $ref: '#/components/schemas/accountId'
      title: invoiceResponse
    errorResponse:
      type: object
      properties:
        code:
          type: string
          description: An error code indicating what kind of error. I.e. HTTP error code
        message:
          type: string
          description: Error message in human-readable format
        id:
          type: string
          format: uuid
          description: Unique error identifier
        errorCode:
          type: string
          description: Enfuce code for a specific error type
        errorType:
          type: string
          description: Error type
          enum:
            - STATIC_VALIDATION_ERROR
            - DYNAMIC_VALIDATION_ERROR
            - INTEGRATION_ERROR
            - SECURITY_ERROR
            - UNEXPECTED_ERROR
        errorReason:
          type: string
          description: Free-form text explaining the error reason
        timestamp:
          type: string
          format: date-time
          description: Datetime when error occurred
    currency:
      type: string
      description: A valid ISO 4217 currency code
      pattern: '[A-Z]{3}'
      example: EUR
    amount:
      type: number
      description: Total amount of this invoice
    createdDate:
      type: string
      format: date-time
      description: Date when invoice was created
      example: '2019-11-27T05:08:31'
    dueDate:
      type: string
      format: date
      description: Date when invoice is due
      example: '2019-11-27'
    id:
      type: string
      description: Unique id for invoice
    paidAmount:
      type: number
      description: Total amount that is paid of this invoice
    paymentReference:
      type: object
      description: >-
        Number connected to account that will be used to map incoming payments
        to
      required:
        - type
      properties:
        number:
          type: string
          description: Payment reference number
          example: 1234567897
        type:
          type: string
          enum:
            - MOD10
            - FINNISH_7_3_1
            - CUSTOMER_SPECIFIC
    datePeriod:
      type: object
      properties:
        start:
          type: string
          format: date
          description: Date when period starts
          example: '2020-01-01'
        end:
          type: string
          format: date
          description: Date when period ends
          example: '2020-01-31'
    status:
      type: string
      description: "- OPEN\tOpen\n- OVERDUE\tOverdue\n- PAID\tPaid\n- PAID_PARTIALLY\tPartially Paid\n- WRITE-OFF\tWritten Off\n"
      enum:
        - OPEN
        - OVERDUE
        - PAID
        - PAID_PARTIALLY
        - WRITE-OFF
      title: status
    dunning:
      type: object
      description: >-
        Dunning details, this should only be populated if invoice status is
        overdue
      properties:
        dunningStatus:
          $ref: '#/components/schemas/dunningStatus'
        reminder1TriggerDate:
          description: Date when reminder 1 is triggered
          type: string
          format: date
          example: '2019-11-27'
        blockTriggerDate:
          description: Date when card is blocked
          type: string
          format: date
          example: '2019-11-27'
        reminder2TriggerDate:
          description: Date when reminder 2 is triggered
          type: string
          format: date
          example: '2019-11-27'
        collectionTriggerDate:
          description: Date when invoice is sent to collection
          type: string
          format: date
          example: '2019-11-27'
      title: dunning
    invoiceNumber:
      type: string
      description: Number of the invoice
    accountId:
      type: string
      description: Account id this invoice belongs to
    dunningStatus:
      type: string
      enum:
        - WAIT
        - REMINDER1_SENT
        - CARD_BLOCKED
        - REMINDER2_SENT
        - SENT_TO_COLLECTION
        - STOPPED
        - DONE

````